{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.crl.bee.drip": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            {
              "dripping": "query.is_powered"
            }
          ]
        },
        "dripping": {
          "particle_effects": [
            {
              "effect": "nectar_dripping"
            }
          ],
          "transitions": [
            {
              "default": "!query.is_powered"
            }
          ]
        }
      }
    },
    "controller.animation.crl.bee.root": {
      "initial_state": "default",
      "states": {
        "default": {
          "animations": ["flying", "bee_fly_bobbing"]
        }
      }
    },
    "controller.animation.crl.bee.movement": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            {
              "looping": "math.random_integer(0,1000) == 1"
            }
          ]
        },
        "looping": {
          "animations": ["looping"],
          "transitions": [
            {
              "default": "query.all_animations_finished"
            }
          ]
        }
      }
    }
  }
}
